DataMiner - Install new sofware to support the new algorithm Rubrica

Mar 12, 2018 05:01 PM - Giancarlo Panichi

Status: Closed Start date: Mar 12, 2018

Priority: Normal Due date: Mar 13, 2018

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: Application Estimated time: 0.00 hour

Target version: DataMiner - Pre Installed Software

support

  

Infrastructure: Production   

Description

To support the new Rubrica algorithm we need that the following software is installed at the java level on DataMiner machines:

https://jena.apache.org/index.html

In particular, the required jars are the following:

<dependency>

<groupId>org.apache.jena</groupId>

<artifactId>jena-core</artifactId>

<version>3.6.0</version>

<type>jar</type>

</dependency>

    &lt;dependency&gt;

        &lt;groupId&gt;org.apache.jena&lt;/groupId&gt;

        &lt;artifactId&gt;jena-arq&lt;/artifactId&gt;

        &lt;version&gt;3.6.0&lt;/version&gt;

        &lt;type&gt;jar&lt;/type&gt;

    &lt;/dependency&gt;

History

#2 - Mar 12, 2018 05:30 PM - Andrea Dell'Amico

What's the meaning of at the java level? Do we have to install it as a tomcat library? as a tomcat webapp? Is it a standalone application?

#3 - Mar 13, 2018 06:06 PM - Giancarlo Panichi

- Due date set to Mar 13, 2018

- Status changed from New to Closed

- % Done changed from 0 to 100

The installation of this software is no longer necessary, we were able to integrate the jars directly in the algorithm.

So we can consider this ticket closed.
